#include <bits/stdc++.h>
using namespace std;

long long n;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>> n;
    if(n<2){
        cout<< -1;
        return 0;
    }
    if(n%2==0){
        n/=2;
        for(long long i=0;i<n;i++){
            cout<< 1;
        }
    }else{
        cout<< 7;
        n/=2;
        for(long long i=1;i<n;i++){
            cout<< 1;
        }
    }





    return 0;
}